this.primevue = this.primevue || {};
this.primevue.inputotp = this.primevue.inputotp || {};
this.primevue.inputotp.style = (function (BaseStyle) {
    'use strict';

    function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

    var BaseStyle__default = /*#__PURE__*/_interopDefaultLegacy(BaseStyle);

    var theme = function theme(_ref) {
      _ref.dt;
      return "\n.p-inputotp {\n    display: flex;\n    align-items: center;\n    gap: 0.5rem;\n}\n\n.p-inputotp-input {\n    text-align: center;\n    width: 2.5rem;\n}\n";
    };
    var classes = {
      root: 'p-inputotp p-component',
      input: 'p-inputotp-input'
    };
    var InputOtpStyle = BaseStyle__default["default"].extend({
      name: 'inputotp',
      theme: theme,
      classes: classes
    });

    return InputOtpStyle;

})(primevue.base.style);
